| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::detail::PoseGraph Class Referenceabstract

`#include <opencv2/3d/detail/optimizer.hpp>`

Collaboration diagram for cv::detail::PoseGraph:

## Public Member Functions
virtual | ~PoseGraph ()
virtual void | addEdge (size_t _sourceNodeId, size_t _targetNodeId, const Affine3f &_transformation, const Matx66f &_information=Matx66f::eye())=0
virtual void | addNode (size_t _nodeId, const Affine3d &_pose, bool fixed)=0
virtual double | calcEnergy () const =0
virtual Ptr< LevMarqBase > | createOptimizer ()=0
virtual Ptr< LevMarqBase > | createOptimizer (const LevMarq::Settings &settings)=0
virtual size_t | getEdgeEnd (size_t i) const =0
virtual Matx66f | getEdgeInfo (size_t i) const =0
virtual Affine3d | getEdgePose (size_t i) const =0
virtual size_t | getEdgeStart (size_t i) const =0
virtual Affine3d | getNodePose (size_t nodeId) const =0
virtual std::vector< size_t > | getNodesIds () const =0
virtual size_t | getNumEdges () const =0
virtual size_t | getNumNodes () const =0
virtual bool | isNodeExist (size_t nodeId) const =0
virtual bool | isNodeFixed (size_t nodeId) const =0
virtual bool | isValid () const =0
virtual LevMarq::Report | optimize ()=0
virtual bool | setNodeFixed (size_t nodeId, bool fixed)=0

## Static Public Member Functions
static Ptr< PoseGraph > | create ()

## Constructor & Destructor Documentation

## ◆ ~PoseGraph()

virtual cv::detail::PoseGraph::~PoseGraph | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addEdge()

virtual void cv::detail::PoseGraph::addEdge | ( | size_t | _sourceNodeId,
|  | size_t | _targetNodeId,
|  | const Affine3f & | _transformation,
|  | const Matx66f & | _information = Matx66f::eye() )
| pure virtual

## ◆ addNode()

virtual void cv::detail::PoseGraph::addNode | ( | size_t | _nodeId,
|  | const Affine3d & | _pose,
|  | bool | fixed )
| pure virtual

## ◆ calcEnergy()

virtual double cv::detail::PoseGraph::calcEnergy | ( |  | ) | const
| pure virtual

## ◆ create()

static Ptr< PoseGraph > cv::detail::PoseGraph::create | ( |  | ) |
| static

## ◆ createOptimizer() [1/2]

virtual Ptr< LevMarqBase > cv::detail::PoseGraph::createOptimizer | ( |  | ) |
| pure virtual

## ◆ createOptimizer() [2/2]

virtual Ptr< LevMarqBase > cv::detail::PoseGraph::createOptimizer | ( | const LevMarq::Settings & | settings | ) |
| pure virtual

## ◆ getEdgeEnd()

virtual size_t cv::detail::PoseGraph::getEdgeEnd | ( | size_t | i | ) | const
| pure virtual

## ◆ getEdgeInfo()

virtual Matx66f cv::detail::PoseGraph::getEdgeInfo | ( | size_t | i | ) | const
| pure virtual

## ◆ getEdgePose()

virtual Affine3d cv::detail::PoseGraph::getEdgePose | ( | size_t | i | ) | const
| pure virtual

## ◆ getEdgeStart()

virtual size_t cv::detail::PoseGraph::getEdgeStart | ( | size_t | i | ) | const
| pure virtual

## ◆ getNodePose()

virtual Affine3d cv::detail::PoseGraph::getNodePose | ( | size_t | nodeId | ) | const
| pure virtual

## ◆ getNodesIds()

virtual std::vector< size_t > cv::detail::PoseGraph::getNodesIds | ( |  | ) | const
| pure virtual

## ◆ getNumEdges()

virtual size_t cv::detail::PoseGraph::getNumEdges | ( |  | ) | const
| pure virtual

## ◆ getNumNodes()

virtual size_t cv::detail::PoseGraph::getNumNodes | ( |  | ) | const
| pure virtual

## ◆ isNodeExist()

virtual bool cv::detail::PoseGraph::isNodeExist | ( | size_t | nodeId | ) | const
| pure virtual

## ◆ isNodeFixed()

virtual bool cv::detail::PoseGraph::isNodeFixed | ( | size_t | nodeId | ) | const
| pure virtual

## ◆ isValid()

virtual bool cv::detail::PoseGraph::isValid | ( |  | ) | const
| pure virtual

## ◆ optimize()

virtual LevMarq::Report cv::detail::PoseGraph::optimize | ( |  | ) |
| pure virtual

## ◆ setNodeFixed()

virtual bool cv::detail::PoseGraph::setNodeFixed | ( | size_t | nodeId,
|  | bool | fixed )
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/3d/detail/optimizer.hpp